<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns="" xmlns:ooow="http://openoffice.org/2004/writer" xmlns:dom="http://www.w3.org/2001/xml-events" xmlns:meta="urn:oasis:names:tc:opendocument:xmlns:meta:1.0" xmlns:draw="urn:oasis:names:tc:opendocument:xmlns:drawing:1.0" xmlns:style="urn:oasis:names:tc:opendocument:xmlns:style:1.0" xmlns:fo="urn:oasis:names:tc:opendocument:xmlns:xsl-fo-compatible:1.0" xmlns:office="urn:oasis:names:tc:opendocument:xmlns:office:1.0" xmlns:sl="http://www.utc.fr/ics/scenari/v3/library" xmlns:dc="http://purl.org/dc/elements/1.1/" xmlns:ooo="http://openoffice.org/2004/office" xmlns:text="urn:oasis:names:tc:opendocument:xmlns:text:1.0" xmlns:svg="urn:oasis:names:tc:opendocument:xmlns:svg-compatible:1.0" xmlns:form="urn:oasis:names:tc:opendocument:xmlns:form:1.0" xmlns:op="utc.fr:ics/opale3" xmlns:xforms="http://www.w3.org/2002/xforms" xmlns:sp="http://www.utc.fr/ics/scenari/v3/primitive" xmlns:sc="http://www.utc.fr/ics/scenari/v3/core" xmlns:number="urn:oasis:names:tc:opendocument:xmlns:datastyle:1.0" xmlns:table="urn:oasis:names:tc:opendocument:xmlns:table:1.0" xmlns:script="urn:oasis:names:tc:opendocument:xmlns:script:1.0" xmlns:math="http://www.w3.org/1998/Math/MathML" xmlns:dr3d="urn:oasis:names:tc:opendocument:xmlns:dr3d:1.0" xmlns:presentation="urn:oasis:names:tc:opendocument:xmlns:presentation:1.0" xmlns:xlink="http://www.w3.org/1999/xlink" xmlns:xsd="http://www.w3.org/2001/XMLSchema" xmlns:chart="urn:oasis:names:tc:opendocument:xmlns:chart:1.0" xmlns:java="http://xml.apache.org/xslt/java" xmlns:oooc="http://openoffice.org/2004/calc" xmlns:scodPp="scenari.eu:openDocumentExtension.postprocessing:1.0" xmlns:xalan="http://xml.apache.org/xalan" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" exclude-result-prefixes=" ooow dom meta draw style fo sl dc office ooo text sp form svg op xforms sc number table script math dr3d presentation xlink xsd chart java oooc scodPp xalan xsi " >
<xsl:output xmlns:xsl="http://www.w3.org/1999/XSL/Transform" method="xml" indent="no" omit-xml-declaration="yes"/><xsl:param xmlns:xsl="http://www.w3.org/1999/XSL/Transform" name="vAgent"/><xsl:param xmlns:xsl="http://www.w3.org/1999/XSL/Transform" name="vDialog"/><xsl:variable xmlns:xsl="http://www.w3.org/1999/XSL/Transform" name="idRootAgt" select="getIdNode(ancestor-or-self::op:altRes[1])"/><xsl:template xmlns:xsl="http://www.w3.org/1999/XSL/Transform" match="op:altRes"><xsl:choose><xsl:when test="checkNoCycleAgent()">
		<xsl:apply-templates mode="N9"/>
	</xsl:when><xsl:otherwise/></xsl:choose></xsl:template><xsl:template xmlns:xsl="http://www.w3.org/1999/XSL/Transform" match="*" mode="N9"/><!--# txt--><xsl:template xmlns:xsl="http://www.w3.org/1999/XSL/Transform" match="sp:txt" mode="N9"><xsl:variable name="vContentAgt"><xsl:choose><xsl:when test="@sc:refUri"><xsl:value-of select="concat('@', getIdFromPath(@sc:refUri))"/></xsl:when><xsl:otherwise><xsl:value-of select="concat('@', getIdNode(.))"/></xsl:otherwise></xsl:choose></xsl:variable>
				<xsl:variable name="vContentAgtNd" select="concat($vContentAgt, '')"/><xsl:value-of disable-output-escaping="yes" select="resultatAgent(concat($vContentAgtNd, '/getContent'))"/>
			</xsl:template><!--# staticRes--><xsl:template xmlns:xsl="http://www.w3.org/1999/XSL/Transform" match="sp:staticRes" mode="N9"><xsl:variable name="vContentAgt"><xsl:choose><xsl:when test="@sc:refUri"><xsl:value-of select="concat('@', getIdFromPath(@sc:refUri))"/></xsl:when><xsl:otherwise><xsl:value-of select="concat('@', getIdNode(.))"/></xsl:otherwise></xsl:choose></xsl:variable>
				
				<scodPp:dataBlock xmlns:scodPp="scenari.eu:openDocumentExtension.postprocessing:1.0" category="cprRes" id="db_N14_{alphaHash(codeAgent('//'))}_{generate-id()}_{java:hIncreaseOne(getEntryBuffer('counters', 'datablock'))}"><xsl:variable name="vId"><xsl:variable name="vValue">
						<xsl:value-of select="concat($vContentAgt, '')"/>
					</xsl:variable><xsl:value-of select="alphaHash($vValue)"/></xsl:variable><xsl:variable name="vSortKey">
						<xsl:choose><xsl:when test="string-length(normalize-space(resultatAgent(concat($vContentAgt, '', '/fullTitleText'))))&gt;0"><xsl:value-of select="resultatAgent(concat($vContentAgt, '', '/fullTitleText'))" disable-output-escaping="yes"/></xsl:when><xsl:when test="boolean('true')"/></xsl:choose>
					</xsl:variable><scodPp:id value="{normalize-space($vId)}"/><scodPp:sortKey value="{normalize-space($vSortKey)}"/><scodPp:title>
						<xsl:choose><xsl:when test="string-length(normalize-space(resultatAgent(concat($vContentAgt, '', '/fullTitleText'))))&gt;0"><xsl:value-of select="resultatAgent(concat($vContentAgt, '', '/fullTitleText'))" disable-output-escaping="yes"/></xsl:when><xsl:when test="boolean('true')"/></xsl:choose>
					</scodPp:title><scodPp:data>
						<xsl:variable name="vContentAgtN25" select="resultatAgent(concat($vContentAgt, '/metaAgt'))"/><xsl:value-of disable-output-escaping="yes" select="si($vContentAgtN25, resultatAgent(concat($vContentAgtN25, '_Acredit', '/getContent')))"/>
					</scodPp:data></scodPp:dataBlock>
				
				<scodPp:dataBlock xmlns:scodPp="scenari.eu:openDocumentExtension.postprocessing:1.0" category="res" id="db_N2b_{alphaHash(codeAgent('//'))}_{generate-id()}_{java:hIncreaseOne(getEntryBuffer('counters', 'datablock'))}"><xsl:variable name="vId"><xsl:variable name="vValue">
						<xsl:value-of select="concat($vContentAgt, '')"/>
					</xsl:variable><xsl:value-of select="alphaHash($vValue)"/></xsl:variable><xsl:variable name="vSortKey">
						<xsl:choose><xsl:when test="string-length(normalize-space(resultatAgent(concat($vContentAgt, '', '/fullTitleText'))))&gt;0"><xsl:value-of select="resultatAgent(concat($vContentAgt, '', '/fullTitleText'))" disable-output-escaping="yes"/></xsl:when><xsl:when test="boolean('true')"/></xsl:choose>
					</xsl:variable><scodPp:id value="{normalize-space($vId)}"/><scodPp:overrideContentDeclaration><scodPp:block.data/></scodPp:overrideContentDeclaration><scodPp:sortKey value="{normalize-space($vSortKey)}"/><scodPp:title>
						<xsl:choose><xsl:when test="string-length(normalize-space(resultatAgent(concat($vContentAgt, '', '/fullTitleText'))))&gt;0"><xsl:value-of select="resultatAgent(concat($vContentAgt, '', '/fullTitleText'))" disable-output-escaping="yes"/></xsl:when><xsl:when test="boolean('true')"/></xsl:choose>
					</scodPp:title><scodPp:data>
						<xsl:value-of select="resultatAgent(concat('widget_N41_', generate-id()))" disable-output-escaping="yes"/>
					</scodPp:data></scodPp:dataBlock>
			</xsl:template><xsl:template xmlns:xsl="http://www.w3.org/1999/XSL/Transform" match="*"/></xsl:stylesheet>