<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:ooow="http://openoffice.org/2004/writer" xmlns:dom="http://www.w3.org/2001/xml-events" xmlns:meta="urn:oasis:names:tc:opendocument:xmlns:meta:1.0" xmlns:draw="urn:oasis:names:tc:opendocument:xmlns:drawing:1.0" xmlns:style="urn:oasis:names:tc:opendocument:xmlns:style:1.0" xmlns:fo="urn:oasis:names:tc:opendocument:xmlns:xsl-fo-compatible:1.0" xmlns:office="urn:oasis:names:tc:opendocument:xmlns:office:1.0" xmlns:sl="http://www.utc.fr/ics/scenari/v3/library" xmlns:dc="http://purl.org/dc/elements/1.1/" xmlns:ooo="http://openoffice.org/2004/office" xmlns:text="urn:oasis:names:tc:opendocument:xmlns:text:1.0" xmlns:svg="urn:oasis:names:tc:opendocument:xmlns:svg-compatible:1.0" xmlns:form="urn:oasis:names:tc:opendocument:xmlns:form:1.0" xmlns:op="utc.fr:ics/opale3" xmlns:xforms="http://www.w3.org/2002/xforms" xmlns:sp="http://www.utc.fr/ics/scenari/v3/primitive" xmlns:sc="http://www.utc.fr/ics/scenari/v3/core" xmlns:number="urn:oasis:names:tc:opendocument:xmlns:datastyle:1.0" xmlns:table="urn:oasis:names:tc:opendocument:xmlns:table:1.0" xmlns:script="urn:oasis:names:tc:opendocument:xmlns:script:1.0" xmlns:math="http://www.w3.org/1998/Math/MathML" xmlns:dr3d="urn:oasis:names:tc:opendocument:xmlns:dr3d:1.0" xmlns:presentation="urn:oasis:names:tc:opendocument:xmlns:presentation:1.0" xmlns:xlink="http://www.w3.org/1999/xlink" xmlns:xsd="http://www.w3.org/2001/XMLSchema" xmlns:chart="urn:oasis:names:tc:opendocument:xmlns:chart:1.0" xmlns:java="http://xml.apache.org/xslt/java" xmlns:oooc="http://openoffice.org/2004/calc" xmlns:scodPp="scenari.eu:openDocumentExtension.postprocessing:1.0" xmlns:xalan="http://xml.apache.org/xalan" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" exclude-result-prefixes="ooow dom meta draw style fo sl dc office ooo text sp form svg op xforms sc number table script math dr3d presentation xlink xsd chart java oooc scodPp xalan xsi " >
<xsl:output xmlns:xsl="http://www.w3.org/1999/XSL/Transform" method="xml" indent="no" omit-xml-declaration="yes"/><xsl:param xmlns:xsl="http://www.w3.org/1999/XSL/Transform" name="vAgent"/><xsl:param xmlns:xsl="http://www.w3.org/1999/XSL/Transform" name="vDialog"/><xsl:variable xmlns:xsl="http://www.w3.org/1999/XSL/Transform" name="idRootAgt" select="getIdNode(ancestor-or-self::op:courseUa[1])"/><xsl:template xmlns:xsl="http://www.w3.org/1999/XSL/Transform" match="op:courseUa"><xsl:choose><xsl:when test="checkNoCycleAgent()">
		<xsl:for-each select="sp:genRef"><xsl:variable name="vContentAgt"><xsl:choose><xsl:when test="@sc:refUri"><xsl:value-of select="concat('@', getIdFromPath(@sc:refUri))"/></xsl:when><xsl:otherwise><xsl:value-of select="concat('@', getIdNode(.))"/></xsl:otherwise></xsl:choose></xsl:variable>
			<xsl:variable name="vContentAgtNb" select="concat($vContentAgt, '')"/><xsl:value-of disable-output-escaping="yes" select="resultatAgent(concat($vContentAgtNb, '/getContent'))"/>
		</xsl:for-each>
		<xsl:for-each select="sp:obj"><xsl:variable name="vContentAgt"><xsl:choose><xsl:when test="@sc:refUri"><xsl:value-of select="concat('@', getIdFromPath(@sc:refUri))"/></xsl:when><xsl:otherwise><xsl:value-of select="concat('@', getIdNode(.))"/></xsl:otherwise></xsl:choose></xsl:variable>
			<xsl:comment># sm:WBox</xsl:comment><xsl:variable name="vTitleContentN10"><xsl:choose><xsl:when test="boolean('true')">Objectifs</xsl:when><xsl:when test="boolean('true')"/></xsl:choose></xsl:variable><xsl:variable name="vDataContentN10"><xsl:variable name="vContentAgtN17" select="concat($vContentAgt, '_Aimp')"/><xsl:value-of disable-output-escaping="yes" select="resultatAgent(concat($vContentAgtN17, '/getContent'))"/></xsl:variable><xsl:variable name="vIsTitleMandatoryN10">true</xsl:variable><table:table xmlns:table="urn:oasis:names:tc:opendocument:xmlns:table:1.0" table:name="WBox_{generate-id()}" table:style-name="{getEntryBuffer('odStyleBlocks', 'op_courseUa__objBox')/table:table/@table:style-name}"><table:table-column table:style-name="{getEntryBuffer('odStyleBlocks', 'op_courseUa__objBox')/table:table/table:table-column[1]/@table:style-name}"/><table:table-row table:style-name="{getEntryBuffer('odStyleBlocks', 'op_courseUa__objBox')/table:table/table:table-row/@table:style-name}"><table:table-cell table:style-name="{getEntryBuffer('odStyleBlocks', 'op_courseUa__objBox')/table:table/table:table-row/table:table-cell[1]/@table:style-name}"><xsl:if test="string-length(normalize-space($vTitleContentN10))&gt;0 or $vIsTitleMandatoryN10='true'"><text:p xmlns:text="urn:oasis:names:tc:opendocument:xmlns:text:1.0" text:style-name="{getEntryBuffer('odStyleBlocks', 'op_courseUa__objBox')/table:table/table:table-row/table:table-cell[1]/text:p/@text:style-name}"><xsl:value-of select="$vTitleContentN10" disable-output-escaping="yes"/></text:p></xsl:if><xsl:copy-of select="$vDataContentN10"/></table:table-cell></table:table-row></table:table>
		</xsl:for-each>
		<xsl:variable name="vContentAgtN1b" select="concat('@', $idRootAgt, '_meta', '_Akeywds')"/><xsl:value-of disable-output-escaping="yes" select="resultatAgent(concat($vContentAgtN1b, '/getContent'))"/>
		<xsl:apply-templates mode="N1d"/>
		<xsl:choose>
			<xsl:when test="sp:quest"><xsl:comment># sm:WParagraph</xsl:comment><xsl:element name="text:p"><xsl:attribute name="text:style-name"><xsl:value-of select="returnFirst(getEntryBuffer('odStyleBlocks', 'op_courseUa__emptyParagraph')/@text:style-name, getEntryBuffer('odStyleBlocks', 'odTemplateText_#defaultStyle')/text:p/@text:style-name)"/></xsl:attribute>
					
				</xsl:element></xsl:when>
		</xsl:choose>
	</xsl:when><xsl:otherwise/></xsl:choose></xsl:template><xsl:template xmlns:xsl="http://www.w3.org/1999/XSL/Transform" match="*" mode="N1d"/><!--# intro--><xsl:template xmlns:xsl="http://www.w3.org/1999/XSL/Transform" match="sp:intro" mode="N1d"><xsl:variable name="vContentAgt"><xsl:choose><xsl:when test="@sc:refUri"><xsl:value-of select="concat('@', getIdFromPath(@sc:refUri))"/></xsl:when><xsl:otherwise><xsl:value-of select="concat('@', getIdNode(.))"/></xsl:otherwise></xsl:choose></xsl:variable>
				<xsl:choose>
					<xsl:when test="resultatAgent('//cond_Agif0Q0XLzjtvF6fcBdv5i', .)"><xsl:value-of select="resultatAgent(concat('widget_N25_', generate-id()))" disable-output-escaping="yes"/></xsl:when>
				</xsl:choose>
			</xsl:template><!--# courseUc--><xsl:template xmlns:xsl="http://www.w3.org/1999/XSL/Transform" match="sp:courseUc" mode="N1d"><xsl:variable name="vContentAgt"><xsl:choose><xsl:when test="@sc:refUri"><xsl:value-of select="concat('@', getIdFromPath(@sc:refUri))"/></xsl:when><xsl:otherwise><xsl:value-of select="concat('@', getIdNode(.))"/></xsl:otherwise></xsl:choose></xsl:variable>
				<xsl:choose>
					<xsl:when test="resultatAgent('//cond_Agif0Q0XLzjtvF6fcBdv5i', .)"><scodPp:condition xmlns:scodPp="scenari.eu:openDocumentExtension.postprocessing:1.0" xpath="true()"><scodPp:section><scodPp:title><xsl:choose><xsl:when test="string-length(normalize-space(resultatAgent(concat($vContentAgt, '', '/fullTitleText'))))&gt;0"><xsl:value-of select="resultatAgent(concat($vContentAgt, '', '/fullTitleText'))" disable-output-escaping="yes"/></xsl:when><xsl:when test="boolean('true')"/></xsl:choose></scodPp:title><scodPp:content><scodPp:dataBlock category="uc" id="db_N3d_{alphaHash(codeAgent('//'))}_{generate-id()}_{java:hIncreaseOne(getEntryBuffer('counters', 'datablock'))}"><xsl:variable name="vId"><xsl:variable name="vValue">
									<xsl:value-of select="concat($vContentAgt, '')"/>
								</xsl:variable><xsl:value-of select="alphaHash($vValue)"/></xsl:variable><xsl:variable name="vSortKey">
									<xsl:choose><xsl:when test="string-length(normalize-space(resultatAgent(concat($vContentAgt, '', '/fullTitleText'))))&gt;0"><xsl:value-of select="resultatAgent(concat($vContentAgt, '', '/fullTitleText'))" disable-output-escaping="yes"/></xsl:when><xsl:when test="boolean('true')"/></xsl:choose>
								</xsl:variable><scodPp:id value="{normalize-space($vId)}"/><scodPp:overrideContentDeclaration><scodPp:block.data/></scodPp:overrideContentDeclaration><scodPp:sortKey value="{normalize-space($vSortKey)}"/><scodPp:title>
									<xsl:choose><xsl:when test="string-length(normalize-space(resultatAgent(concat($vContentAgt, '', '/fullTitleText'))))&gt;0"><xsl:value-of select="resultatAgent(concat($vContentAgt, '', '/fullTitleText'))" disable-output-escaping="yes"/></xsl:when><xsl:when test="boolean('true')"/></xsl:choose>
								</scodPp:title><scodPp:data>
									<xsl:variable name="vContentAgtN53" select="concat($vContentAgt, '')"/><xsl:value-of disable-output-escaping="yes" select="resultatAgent(concat($vContentAgtN53, '/getContent'))"/>
								</scodPp:data></scodPp:dataBlock></scodPp:content></scodPp:section></scodPp:condition></xsl:when>
				</xsl:choose>
			</xsl:template><!--# practUc--><xsl:template xmlns:xsl="http://www.w3.org/1999/XSL/Transform" match="sp:practUc" mode="N1d"><xsl:variable name="vContentAgt"><xsl:choose><xsl:when test="@sc:refUri"><xsl:value-of select="concat('@', getIdFromPath(@sc:refUri))"/></xsl:when><xsl:otherwise><xsl:value-of select="concat('@', getIdNode(.))"/></xsl:otherwise></xsl:choose></xsl:variable>
				<xsl:choose>
					<xsl:when test="resultatAgent('//cond_Agif0Q0XLzjtvF6fcBdv5i', .)"><scodPp:condition xmlns:scodPp="scenari.eu:openDocumentExtension.postprocessing:1.0" xpath="true()"><scodPp:section><scodPp:title><xsl:choose><xsl:when test="string-length(normalize-space(resultatAgent(concat($vContentAgt, '', '/fullTitleText'))))&gt;0"><xsl:value-of select="resultatAgent(concat($vContentAgt, '', '/fullTitleText'))" disable-output-escaping="yes"/></xsl:when><xsl:when test="boolean('true')">Exercice</xsl:when><xsl:when test="boolean('true')"/></xsl:choose></scodPp:title><scodPp:content><xsl:variable name="vContentAgtN6a" select="concat($vContentAgt, '')"/><xsl:value-of disable-output-escaping="yes" select="resultatAgent(concat($vContentAgtN6a, '/getContent'))"/></scodPp:content></scodPp:section></scodPp:condition></xsl:when>
				</xsl:choose>
			</xsl:template><!--# trainUcMcgSur trainUcMcgMur trainUcMcqSur trainUcMcqMur trainUcMatch trainUcOrdWord trainUcCloze trainUcField trainUcNumerical trainUcCoQuiz--><xsl:template xmlns:xsl="http://www.w3.org/1999/XSL/Transform" match="sp:trainUcMcgSur | sp:trainUcMcgMur | sp:trainUcMcqSur | sp:trainUcMcqMur | sp:trainUcMatch | sp:trainUcOrdWord | sp:trainUcCloze | sp:trainUcField | sp:trainUcNumerical | sp:trainUcCoQuiz" mode="N1d"><xsl:variable name="vContentAgt"><xsl:choose><xsl:when test="@sc:refUri"><xsl:value-of select="concat('@', getIdFromPath(@sc:refUri))"/></xsl:when><xsl:otherwise><xsl:value-of select="concat('@', getIdNode(.))"/></xsl:otherwise></xsl:choose></xsl:variable>
				<xsl:choose>
					<xsl:when test="resultatAgent('//cond_Agif0Q0XLzjtvF6fcBdv5i', .)"><scodPp:condition xmlns:scodPp="scenari.eu:openDocumentExtension.postprocessing:1.0" xpath="true()"><scodPp:section><scodPp:title><xsl:choose><xsl:when test="string-length(normalize-space(resultatAgent(concat($vContentAgt, '', '/fullTitleText'))))&gt;0">Exercice : <xsl:value-of select="resultatAgent(concat($vContentAgt, '', '/fullTitleText'))" disable-output-escaping="yes"/></xsl:when><xsl:when test="boolean('true')">Exercice</xsl:when><xsl:when test="boolean('true')"/></xsl:choose></scodPp:title><scodPp:content><xsl:variable name="vContentAgtN7f" select="resultatAgent(concat($vContentAgt, '/metaAgt'))"/><xsl:value-of disable-output-escaping="yes" select="si($vContentAgtN7f, resultatAgent(concat($vContentAgtN7f, '_Aobjs', '/getContent')))"/><xsl:variable name="vContentAgtN81" select="resultatAgent(concat($vContentAgt, '/metaAgt'))"/><xsl:value-of disable-output-escaping="yes" select="si($vContentAgtN81, resultatAgent(concat($vContentAgtN81, '_Akeywds', '/getContent')))"/><xsl:choose>
								<xsl:when test="resultatAgent('//cond_sbAEsqtF05eljld8wOwnWe', .)"><scodPp:dataBlock category="solution" id="db_N87_{alphaHash(codeAgent('//'))}_{generate-id()}_{java:hIncreaseOne(getEntryBuffer('counters', 'datablock'))}"><xsl:variable name="vId"><xsl:variable name="vValue">
											<xsl:value-of select="concat($vContentAgt, '')"/>
										</xsl:variable><xsl:value-of select="alphaHash($vValue)"/></xsl:variable><xsl:variable name="vSortKey">
											<xsl:choose><xsl:when test="string-length(normalize-space(resultatAgent(concat('@', switchAxis(codeAgent('//'), ''), '/fullTitleText'))))&gt;0"><xsl:value-of select="resultatAgent(concat('@', switchAxis(codeAgent('//'), ''), '/fullTitleText'))" disable-output-escaping="yes"/></xsl:when><xsl:when test="boolean('true')"/></xsl:choose>
										</xsl:variable><scodPp:id value="{normalize-space($vId)}"/><scodPp:sortKey value="{normalize-space($vSortKey)}"/><scodPp:title>
											<xsl:choose><xsl:when test="string-length(normalize-space(resultatAgent(concat('@', switchAxis(codeAgent('//'), ''), '/fullTitleText'))))&gt;0"><xsl:value-of select="resultatAgent(concat('@', switchAxis(codeAgent('//'), ''), '/fullTitleText'))" disable-output-escaping="yes"/></xsl:when><xsl:when test="boolean('true')"/></xsl:choose>
										</scodPp:title><scodPp:data>
											<xsl:variable name="vContentAgtN98" select="concat($vContentAgt, '_Aasw')"/><xsl:value-of disable-output-escaping="yes" select="resultatAgent(concat($vContentAgtN98, '/getContent'))"/>
										</scodPp:data></scodPp:dataBlock></xsl:when>
							</xsl:choose><xsl:variable name="vContentAgtN9e" select="concat($vContentAgt, '')"/><xsl:value-of disable-output-escaping="yes" select="resultatAgent(concat($vContentAgtN9e, '/getContent'))"/></scodPp:content></scodPp:section></scodPp:condition></xsl:when>
				</xsl:choose>
			</xsl:template><!--# conclu--><xsl:template xmlns:xsl="http://www.w3.org/1999/XSL/Transform" match="sp:conclu" mode="N1d"><xsl:variable name="vContentAgt"><xsl:choose><xsl:when test="@sc:refUri"><xsl:value-of select="concat('@', getIdFromPath(@sc:refUri))"/></xsl:when><xsl:otherwise><xsl:value-of select="concat('@', getIdNode(.))"/></xsl:otherwise></xsl:choose></xsl:variable>
				<xsl:choose>
					<xsl:when test="resultatAgent('//cond_Agif0Q0XLzjtvF6fcBdv5i', .)"><xsl:value-of select="resultatAgent(concat('widget_Naa_', generate-id()))" disable-output-escaping="yes"/></xsl:when>
				</xsl:choose>
			</xsl:template><!--# quest--><xsl:template xmlns:xsl="http://www.w3.org/1999/XSL/Transform" match="sp:quest" mode="N1d"><xsl:variable name="vContentAgt"><xsl:choose><xsl:when test="@sc:refUri"><xsl:value-of select="concat('@', getIdFromPath(@sc:refUri))"/></xsl:when><xsl:otherwise><xsl:value-of select="concat('@', getIdNode(.))"/></xsl:otherwise></xsl:choose></xsl:variable>
				<xsl:choose>
					<xsl:when test="resultatAgent('//cond_Agif0Q0XLzjtvF6fcBdv5i', .)"><scodPp:dataBlock xmlns:scodPp="scenari.eu:openDocumentExtension.postprocessing:1.0" category="synth" id="db_Nbb_{alphaHash(codeAgent('//'))}_{generate-id()}_{java:hIncreaseOne(getEntryBuffer('counters', 'datablock'))}"><xsl:variable name="vId"><xsl:variable name="vValue">
								<xsl:value-of select="concat($vContentAgt, '')"/>
							</xsl:variable><xsl:value-of select="alphaHash($vValue)"/></xsl:variable><xsl:variable name="vSortKey">
								<xsl:choose><xsl:when test="string-length(normalize-space(resultatAgent(concat('@', switchAxis(codeAgent('//'), ''), '/fullTitleText'))))&gt;0"><xsl:value-of select="resultatAgent(concat('@', switchAxis(codeAgent('//'), ''), '/fullTitleText'))" disable-output-escaping="yes"/></xsl:when><xsl:when test="boolean('true')"/></xsl:choose>
							</xsl:variable><scodPp:id value="{normalize-space($vId)}"/><scodPp:sortKey value="{normalize-space($vSortKey)}"/><scodPp:title>
								<xsl:choose><xsl:when test="string-length(normalize-space(resultatAgent(concat('@', switchAxis(codeAgent('//'), ''), '/fullTitleText'))))&gt;0"><xsl:value-of select="resultatAgent(concat('@', switchAxis(codeAgent('//'), ''), '/fullTitleText'))" disable-output-escaping="yes"/></xsl:when><xsl:when test="boolean('true')"/></xsl:choose>
							</scodPp:title><scodPp:data>
								<xsl:variable name="vContentAgtNcc" select="concat($vContentAgt, '')"/><xsl:value-of disable-output-escaping="yes" select="resultatAgent(concat($vContentAgtNcc, '/getContent'))"/>
							</scodPp:data></scodPp:dataBlock></xsl:when>
				</xsl:choose>
			</xsl:template><xsl:template xmlns:xsl="http://www.w3.org/1999/XSL/Transform" match="*"/></xsl:stylesheet>