<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet xmlns:java="http://xml.apache.org/xslt/java" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="1.0" exclude-result-prefixes="java"><xsl:output method="xml" indent="no" encoding="UTF-8"/><xsl:param name="vDialog"/><xsl:param name="vAgent"/><xsl:template match="*"><html><head><xsl:variable name="vWinTitle"><xsl:value-of select="resultatAgent(concat('@', getIdFromPath(concat('src:', java:getSrcUri(srcFileAgent('@@')))), '/fullTitleText'))"/> - <xsl:value-of select="intituleAgent($vDialog)"/></xsl:variable><title><xsl:value-of select="normalize-space($vWinTitle)"/></title><meta charset="UTF-8"/><meta name="author"><xsl:attribute name="content"><xsl:value-of select="parseXml(concat('&lt;content&gt;',resultatAgent(concat('@', getIdFromPath(concat('src:', java:getSrcUri(srcFileAgent('@@')))), '_Aauthor/xhtmlContent')),'&lt;/content&gt;'))"/></xsl:attribute></meta><meta name="keywords"><xsl:attribute name="content"><xsl:value-of select="parseXml(concat('&lt;content&gt;',resultatAgent(concat('@', getIdFromPath(concat('src:', java:getSrcUri(srcFileAgent('@@')))), '_Akeywds/xhtmlContent')),'&lt;/content&gt;'))"/></xsl:attribute></meta><meta name="date"><xsl:attribute name="content"><xsl:value-of select="parseXml(concat('&lt;content&gt;',resultatAgent(concat('@', getIdFromPath(concat('src:', java:getSrcUri(srcFileAgent('@@')))), '_Adate/xhtmlContent')),'&lt;/content&gt;'))"/></xsl:attribute></meta>
						
						<link rel="stylesheet" type="text/css" href="{translatePubPath2DestUrl('/site/wdgt/scCommentWdgWeb/css/commentSkin.css')}"/>
<link rel="stylesheet" type="text/css" href="{translatePubPath2DestUrl('/site/wdgt/scCodeMgr/scCodeMgr.css')}"/>
<link rel="stylesheet" type="text/css" href="{translatePubPath2DestUrl('/site/wdgt/scImgMgr/scImgMgr.css')}"/>


						<script type="text/JavaScript" >
/*0*/ var scServices = {};
/*1*/ scServices["scLoad"] = {loadFromRoot:function(pUrl){window.location.href="<xsl:value-of select="resolveDestUri2DestUrl(&quot;/&quot;)"/>"+pUrl;}, getPathFromRoot:function(pPath){return "<xsl:value-of select="resolveDestUri2DestUrl(&quot;/&quot;)"/>"+pPath;}, getUrlFromRoot:function(pHref){if(!this.fRootOffset) this.fRootOffset = scCoLib.hrefBase().length<xsl:value-of select="1-java:length(java:getDestUrl(java:getPage($vDialog)))"/>; return pHref.substring(this.fRootOffset);},getRootUrl:function(){if(!this.fRootUrl) this.fRootUrl = scCoLib.hrefBase().substring(0,scCoLib.hrefBase().length-<xsl:value-of select="java:length(java:getDestUrl(java:getPage($vDialog)))"/>); return this.fRootUrl;}};
</script>

						<script type="text/JavaScript" src="{translatePubPath2DestUrl('/site/lib-sm/scCoLib.js')}"></script>
<script type="text/JavaScript" src="{translatePubPath2DestUrl('/site/lib-sm/scSiLib.js')}"></script>
<script type="text/JavaScript" src="{translatePubPath2DestUrl('/site/lib-sm/scPaLib.js')}"></script>
<script type="text/JavaScript" src="{translatePubPath2DestUrl('/site/lib-sm/scTiLib.js')}"></script>
<script type="text/JavaScript" src="{translatePubPath2DestUrl('/site/svc/scorm.js')}"></script>
<script type="text/JavaScript" src="{translatePubPath2DestUrl('/site/lib-sm/scTooltipMgr.js')}"></script>
<script type="text/JavaScript" src="{translatePubPath2DestUrl('/site/lib-sm/scDynUiMgr.js')}"></script>
<script type="text/JavaScript" src="{translatePubPath2DestUrl('/site/wdgt/tplMgr/tplMgr.js')}"></script>
<script type="text/JavaScript" src="{translatePubPath2DestUrl('/site/svc/scCommentSvc/scCommentSvc.js')}"></script>
<script type="text/JavaScript" src="{translatePubPath2DestUrl('/site/wdgt/dynSizes/dynSizes.js')}"></script>
<script type="text/JavaScript" src="{translatePubPath2DestUrl('/site/wdgt/scCodeMgr/scCodeMgr.js')}"></script>
<script type="text/JavaScript" src="{translatePubPath2DestUrl('/site/wdgt/scImgMgr/scImgMgr.js')}"></script>
<script type="text/JavaScript" src="{translatePubPath2DestUrl('/site/wdgt/scCommentMgr/scCommentMgr.js')}"></script>
<script type="text/JavaScript" src="{translatePubPath2DestUrl('/site/wdgt/scCommentWdgWeb/OpaleCommentWdgs.js')}"></script>
<script type="text/JavaScript" src="{translatePubPath2DestUrl('/site/wdgt/scCommentWdgWeb/scCommentMgr.local.js')}"></script>
<script type="text/JavaScript" >
scCodeMgr.registerCode(&quot;des:div.code&quot;);

scImgMgr.registerGallery(&quot;des:div.galFra&quot;);

scImgMgr.registerZoom(&quot;des:a.imgZoom&quot;,{toolbar:1,mag:1,titlePath:&quot;par:/nsi:/chi:span.capTi&quot;});

</script>
	
<xsl:value-of select="resultatAgent('/@@/tplWidget_\academic\gen\_web\widg\tpl\htmlMeta.uiwidget;', null)" disable-output-escaping="yes"/><xsl:value-of select="resultatAgent('/@@/tplWidget_\academic\gen\_web\widg\tpl\revisedMeta.uiwidget;', null)" disable-output-escaping="yes"/><xsl:value-of select="resultatAgent('/@@/tplWidget_\academic\gen\_web\widg\tpl\tplMgr.uiwidget;', null)" disable-output-escaping="yes"/><xsl:value-of select="resultatAgent('/@@/tplWidget_\academic\gen\_web\widg\util\startLinkMeta.uiwidget;', null)" disable-output-escaping="yes"/><xsl:value-of select="resultatAgent('/@@/tplWidget_\academic\gen\_web\widg\tplDynElts\setSubWinTitle.uiwidget;', null)" disable-output-escaping="yes"/><xsl:value-of select="resultatAgent('/@@/tplWidget_\academic\gen\_web\widg\tplDynElts\centerContentRef.uiwidget;', null)" disable-output-escaping="yes"/><xsl:value-of select="resultatAgent('/@@/tplWidget_\academic\gen\_web\widg\eval\scSiLibOveride.uiwidget;', null)" disable-output-escaping="yes"/><link type="text/css" rel="stylesheet" href="{resultatAgent('//', 'pubres:/site/skin/css/html.css')}" media="all"/><link type="text/css" rel="stylesheet" href="{resultatAgent('//', 'pubres:/site/skin/css/struct_ref.css')}" media="screen"/><link type="text/css" rel="stylesheet" href="{resultatAgent('//', 'pubres:/site/skin/css/buttons.css')}" media="screen"/><link type="text/css" rel="stylesheet" href="{resultatAgent('//', 'pubres:/site/skin/css/transf.css')}" media="all"/><xsl:text disable-output-escaping="yes"><![CDATA[<!--[if IE]>]]></xsl:text><link type="text/css" rel="stylesheet" href="{resultatAgent('//', 'pubres:/site/skin/css/ie.css')}" media="screen"/><xsl:text disable-output-escaping="yes"><![CDATA[<![endif]--><!--[if lt IE 7]>]]></xsl:text><link type="text/css" rel="stylesheet" href="{resultatAgent('//', 'pubres:/site/skin/css/ie6_ref.css')}" media="screen"/><xsl:text disable-output-escaping="yes"><![CDATA[<![endif]-->]]></xsl:text><link type="text/css" rel="stylesheet" href="{resultatAgent('//', 'pubres:/site/skin/css/print.css')}" media="print"/><xsl:value-of select="resultatAgent('/@@/tplWidget_\academic\gen\_comments\widg\scCommentMgr.uiwidget;', null)" disable-output-escaping="yes"/><xsl:value-of select="resultatAgent('/@@/tplWidget_\academic\gen\quadra\comments\web\widg\scCommentWdgWeb.uiwidget;', null)" disable-output-escaping="yes"/></head><body><div id="tplFra"><div id="tplCo"><div id="refCo" class="scroller"><a id="content" class="accessAnc" name="content" href="#content"/><div id="tplCoMarginW"><div id="tplCoFlexTop"/><div id="tplCo2"><div id="mgrContainer"><xsl:text disable-output-escaping="yes"><![CDATA[<script>
var currentMgr = new scCommentMgr.Mgr('mgrContainer', null, null); //deux derniers param servent pour écarter des choses de la mécanique de commentaires, un pour el namespace, l'autre pour el xpath, normalement ça ne sert à rien, on gère ça côté client si y'a besoin
document.getElementById('mgrContainer').mgr = currentMgr;
</script>]]></xsl:text><xsl:value-of select="resultatAgent('/@@/tplWidget_\academic\gen\quadra\comments\web\widg\commentsBtn.uiwidget;', null)" disable-output-escaping="yes"/><xsl:value-of select="resultatAgent($vDialog, 'zone:mainZone')" disable-output-escaping="yes"/><scBasket key="footnotes" suppressIfEmpty="yes" tagName="ol" sort="no" widgetClass="footnotes" class=""/></div></div></div></div></div><div id="tplFooter"><hr class="hidden"/><a id="footer" class="accessAnc" name="footer" href="#footer"/><a href="#" onclick="window.print();return false;" class="printSubWinBtn" title="Imprimer la page"><span><xsl:value-of select="resultatAgent(concat('@', getIdFromPath(concat('src:', java:getSrcUri(srcFileAgent('@@')))), '_AlblBtnPrintSubWin/xhtmlContent'))" disable-output-escaping="yes"/></span></a></div></div><script type="text/JavaScript" src="{resultatAgent('//', 'pubres:/site/skin/js/skin.js')}"/></body></html></xsl:template></xsl:stylesheet>