<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet xmlns:java="http://xml.apache.org/xslt/java" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="1.0" exclude-result-prefixes="java"><xsl:output method="html" indent="no" encoding="UTF-8" doctype-public="-//W3C//DTD HTML 4.01 Frameset//EN" doctype-system="http://www.w3.org/TR/html4/frameset.dtd"/><xsl:param name="vDialog"/><xsl:param name="vAgent"/><xsl:variable name="vRelativeRootPath" select="resolveDestUri2DestUrl('/')"/><xsl:template match="*"><html><head><meta http-equiv="Content-Type" content="text/html; charset=UTF-8"/><style type="text/css">html{height:100%;}</style><title><xsl:value-of select="resultatAgent(agent('fullTitleText', getDialogVar('dialogToCall')))"/></title><script type="text/JavaScript">
		var scServices = {};
		
		scServices["scLoad"] = { loadFromRoot : function(pUrl) {sc$("mainFrame").src = "<xsl:value-of select="$vRelativeRootPath"/>"+pUrl;},
			getUrlFromRoot:function(pHref){if(!this.fRootOffset) this.fRootOffset = scCoLib.hrefBase().lastIndexOf("/", scCoLib.hrefBase().lastIndexOf("/")-1); return pHref.substring(this.fRootOffset+1);},
			getRootUrl:function(){if(!this.fRootUrl) this.fRootUrl = scCoLib.hrefBase().substring(0,scCoLib.hrefBase().lastIndexOf("/", scCoLib.hrefBase().lastIndexOf("/")-1)); return this.fRootUrl;}
		}
		
		var scUrlToLoad = null;
</script>
	
	<script type="text/JavaScript" src="{translatePubPath2DestUrl('/site/lib-sm/scCoLib.js')}"></script>
<script type="text/JavaScript" src="{translatePubPath2DestUrl('/site/svc/scormMulti.js')}"></script>
<script type="text/JavaScript" src="{translatePubPath2DestUrl('/site/svc/annotSvc/annotSvc.js')}"></script>
<script type="text/JavaScript" src="{translatePubPath2DestUrl('/site/svc/lmsHack/lmsHack.js')}"></script>
<script type="text/JavaScript" >
// Paramétrage du service completionStorage :
//   - &quot;completed&quot; SSi un score est affecté pour les assmntUa
//   - pas de commit auto sur un changement de valeur
scServices.completionStorage.getCurrentCompletionStatus = function(){
	if(scServices.completionStorage._xIsAssmntUa){
		if(scServices.scorm2k4 &amp;&amp; scServices.scorm2k4.isScorm2k4Active()) {
			var vApi = scServices.scorm2k4.getScorm2k4API();
			return (vApi.GetValue(&quot;cmi.score.scaled&quot;)!=null &amp;&amp; vApi.GetValue(&quot;cmi.score.scaled&quot;)!==&quot;&quot;) ? &quot;completed&quot; : &quot;incomplete&quot; ;
		} else if(scServices.scorm12 &amp;&amp; scServices.scorm12.isScorm12Active()) {
			var vApi = scServices.scorm12.getScorm12API();
			return (vApi.LMSGetValue(&quot;cmi.core.score.raw&quot;)!=null &amp;&amp; vApi.LMSGetValue(&quot;cmi.core.score.raw&quot;)!==&quot;&quot;) ? &quot;completed&quot; : &quot;incomplete&quot; ;
		}
	}else
		return &quot;completed&quot;;
}
scServices.completionStorage._SendDataOnSave = false;

// Paramétrage du service exitModeStorage:
//   - pas de commit auto sur un changement de valeur
scServices.exitModeStorage._SendDataOnTerminate = false;
//   - exit : &quot;suspend&quot; quand le parcours du SCO n’est pas complet, et &quot;&quot; (terminé) quand le parcours du SCO est complet
scServices.exitModeStorage.getExitMode = function(){
	return scServices.completionStorage.getCurrentCompletionStatus()==&quot;completed&quot; ? &quot;&quot; : &quot;suspend&quot; ;
}

// Paramétrage du service suspendDataStorage :
//   - pas de commit sur le changement de page des assmnts
scServices.suspendDataStorage._SendDataOnSave=false

// Paramétrage du service assmntMgr:
//   - pas de commit sur le changement de page des assmnts
scServices.assmntMgr._SendDataOnSave = false;
scOnLoads[scOnLoads.length] = { onLoad: function(){ sc$("mainFrame").src = scUrlToLoad ? "<xsl:value-of select="$vRelativeRootPath"/>"+scUrlToLoad : "<xsl:value-of select="resultatDialogue(getDialogVar('dialogToCall'), 'act:')"/>"}, loadSortKey: "ZZloadRootPage"}
</script>

</head><frameset><frame id="mainFrame" name="mainFrame" src="" marginwidth="0" marginheight="0" scrolling="auto" frameborder="0"><xsl:attribute name="title"><xsl:value-of select="resultatAgent(concat('@', getIdFromPath(concat('src:', java:getSrcUri(srcFileAgent('@@')))), '/fullTitleText'))"/></xsl:attribute></frame><noframes><body>Your browser does not handle frames, this site will not work properly.</body></noframes></frameset></html></xsl:template></xsl:stylesheet>