<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet xmlns:java="http://xml.apache.org/xslt/java" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="1.0" exclude-result-prefixes="java"><xsl:output method="xml" indent="no" encoding="UTF-8"/><xsl:param name="vDialog"/><xsl:param name="vAgent"/><xsl:template match="*"><html><xsl:comment>
							standard : HTML 5
							dialog : <xsl:value-of select="pathDialogAgent($vDialog)"/></xsl:comment><head><xsl:variable name="vWinTitle"><xsl:value-of select="intituleAgent($vDialog)"/> [<xsl:value-of select="resultatAgent(concat('@', getIdFromPath(concat('src:', java:getSrcUri(srcFileAgent('@@')))), '/shortTitleText'))"/>]</xsl:variable><title><xsl:value-of select="normalize-space($vWinTitle)"/></title><meta charset="UTF-8"/><meta name="author"><xsl:attribute name="content"><xsl:value-of select="parseXml(concat('&lt;content&gt;',resultatAgent(concat('@', getIdFromPath(concat('src:', java:getSrcUri(srcFileAgent('@@')))), '_Aauthor/xhtmlContent')),'&lt;/content&gt;'))"/></xsl:attribute></meta><meta name="keywords"><xsl:attribute name="content"><xsl:value-of select="resultatAgent($vDialog, 'zone:zKeywords')" disable-output-escaping="yes"/></xsl:attribute></meta><meta name="date"><xsl:attribute name="content"><xsl:value-of select="parseXml(concat('&lt;content&gt;',resultatAgent(concat('@', getIdFromPath(concat('src:', java:getSrcUri(srcFileAgent('@@')))), '_Adate/xhtmlContent')),'&lt;/content&gt;'))"/></xsl:attribute></meta><meta name="viewport"><xsl:attribute name="content">width=device-width, initial-scale=1</xsl:attribute></meta>
						
						<link rel="stylesheet" type="text/css" href="{translatePubPath2DestUrl('/site/wdgt/scImgMgr/scImgMgr.css')}"/>


						<script type="text/JavaScript" >
/*0*/ var scServices = window.opener ? window.opener.scServices : window.parent.scServices;
</script>

						<script type="text/JavaScript" src="{translatePubPath2DestUrl('/site/lib-sm/scCoLib.js')}"></script>
<script type="text/JavaScript" src="{translatePubPath2DestUrl('/site/lib-sm/scPaLib.js')}"></script>
<script type="text/JavaScript" src="{translatePubPath2DestUrl('/site/lib-sm/scSiLib.js')}"></script>
<script type="text/JavaScript" src="{translatePubPath2DestUrl('/site/lib-sm/scTiLib.js')}"></script>
<script type="text/JavaScript" src="{translatePubPath2DestUrl('/site/lib-sm/scTooltipMgr.js')}"></script>
<script type="text/JavaScript" src="{translatePubPath2DestUrl('/site/lib-sm/scDynUiMgr.js')}"></script>
<script type="text/JavaScript" src="{translatePubPath2DestUrl('/site/wdgt/mathjax/mathjaxMgr.js')}"></script>
<script type="text/JavaScript" src="{translatePubPath2DestUrl('/site/wdgt/tplMgr/tplMgr.js')}"></script>
<script type="text/JavaScript" src="{translatePubPath2DestUrl('/site/wdgt/scImgMgr/scImgMgr.js')}"></script>
<script type="text/JavaScript" src="{translatePubPath2DestUrl('/site/wdgt/scMediaMgr/scMediaMgr.js')}"></script>
<script type="text/JavaScript" src="{translatePubPath2DestUrl('/site/wdgt/scormMgr/scormMgr.js')}"></script>
<script type="text/JavaScript" >
scImgMgr.registerAdaptedImage(&quot;ide:content/des:img&quot;);

scImgMgr.registerZoom(&quot;des:a.imgZoom&quot;,{toolbar:1,mag:1,titlePath:&quot;par:/nsi:/des:span.capTi&quot;});

</script>
	
<script type="text/JavaScript">scCoLib.fDebug = true;</script><xsl:value-of select="resultatAgent('/@@/tplWidget_\aurora\web\widg\tpl\template.uiwidget;', null)" disable-output-escaping="yes"/><link type="text/css" rel="stylesheet" href="{resultatAgent('//', 'pubres:/site/skin/css/main.css')}" media="all"/><link type="text/css" rel="stylesheet" href="{resultatAgent('//', 'pubres:/site/skin/css/skin.css')}" media="all"/><link type="text/css" rel="stylesheet" href="{resultatAgent('//', 'pubres:/site/skin/css/print.css')}" media="print"/><xsl:value-of select="resultatAgent('/@@/tplWidget_\aurora\web\widg\tpl\tplMgr.uiwidget;', null)" disable-output-escaping="yes"/><xsl:value-of select="resultatAgent(concat('@', getIdFromPath(concat('src:', java:getSrcUri(srcFileAgent('@@')))), '_AgenSpecific/xhtmlContent'))" disable-output-escaping="yes"/></head><body><addClassToBody class="default tools"/><scBlock id="root"><header id="header" role="banner"><hx><span><xsl:value-of select="resultatAgent(concat('@', getIdFromPath(concat('src:', java:getSrcUri(srcFileAgent('@@')))), '/fullTitleText'))"/></span></hx><nav role="navigation"><xsl:value-of select="resultatAgent('/@@/tplWidget_\aurora\web\widg\tpl\accessBtns.uiwidget;', null)" disable-output-escaping="yes"/></nav></header><main id="main" role="main"><div id="document"><div id="content" tabindex="-1"><div class="scroller"><hr class="hidden"/><xsl:value-of select="resultatAgent($vDialog, 'zone:mainZone')" disable-output-escaping="yes"/><scBasket key="footnotes" suppressIfEmpty="yes" tagName="ol" sort="no" widgetClass="footnotes" class=""><scBlock tagName="aside"><hx class="footnotes_ti">
									
								</hx></scBlock></scBasket></div></div><div id="navigation" tabindex="-1"><hr class="hidden"/><nav class="pageTurner" role="navigation"><ul><ifText><li><xsl:value-of select="resultatAgent('/@@/tplWidget_\aurora\web\widg\nav\prev.uiwidget;', null)" disable-output-escaping="yes"/></li></ifText><ifText><li><xsl:value-of select="resultatAgent('/@@/tplWidget_\aurora\web\widg\nav\next.uiwidget;', null)" disable-output-escaping="yes"/></li></ifText></ul></nav></div></div><div id="toolbox"><nav id="menu" class="pageSelector" role="navigation" tabindex="-1"><hr class="hidden"/><xsl:value-of select="resultatAgent('/@@/tplWidget_\aurora\web\widg\out\menu.uiwidget;', null)" disable-output-escaping="yes"/></nav><div id="tools" tabindex="-1"><hr class="hidden"/><nav class="headingSelector" role="navigation"><xsl:value-of select="resultatAgent('/@@/tplWidget_\aurora\web\widg\out\tools.uiwidget;', null)" disable-output-escaping="yes"/></nav></div></div></main><footer id="footer" role="contentinfo" tabindex="-1"><hr class="hidden"/><xsl:value-of select="resultatAgent($vDialog, 'zone:zLegal')" disable-output-escaping="yes"/><xsl:value-of select="resultatAgent('/@@/tplWidget_\aurora\web\widg\tpl\madeWithSc.uiwidget;', null)" disable-output-escaping="yes"/></footer></scBlock><script type="text/JavaScript" src="{resultatAgent('//', 'pubres:/site/skin/js/skin.js')}"/></body></html></xsl:template></xsl:stylesheet>